import "../../styles/globals.css";
import "../../styles/components.css";

import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { NavigationItem } from "./NavigationItem";

export default {
  title: "Components/Navigation Item",
  component: NavigationItem,
} as ComponentMeta<typeof NavigationItem>;

const Template: ComponentStory<typeof NavigationItem> = (args) => (
  <NavigationItem {...args} />
);

export const TextItem = Template.bind({});
TextItem.story = {
  args: {
    text: "Home",
    href: "/",
  },
};

export const IconItem = Template.bind({});
IconItem.args = {
  iconUrl: "/icons/home.svg",
  href: "/",
};

export const TextAndIconItem = Template.bind({});
TextAndIconItem.args = {
  text: "Home",
  iconUrl: "/icons/home.svg",
  href: "/",
};

export const InactiveItem = Template.bind({});
InactiveItem.args = {
  text: "Inactive",
  iconUrl: "/icons/home.svg",
  href: "current-path",
};
